Difference between revisions of "Template:ModuleInfobox"

From Gamemode 4
Jump to navigation Jump to search
Line 5: Line 5:
 
{{Infobox
 
{{Infobox
 
|title = {{{name|Gamemode 4 Module}}}
 
|title = {{{name|Gamemode 4 Module}}}
|image = [[File:{{{icon|{{#setmainimage:gm4_logo.svg}}}}}|150px]]
+
|image = [[File:{{#setmainimage:{{{icon|gm4_logo.svg}}}}}|150px]]
 
|header1 = --------------------
 
|header1 = --------------------
 
|label2 = Module Type
 
|label2 = Module Type

Revision as of 10:21, 7 May 2020

Template documentation[view] [edit] [history] [purge]
{{{name}}}
[[File:{{{icon}}}]]
--------------------
Module Type{{{type}}}
Created by{{{creator}}}
Last Updated by{{{updater}}}
Required Modules{{{requires}}}
Complementary Modules{{{complementary}}}
Incompatible Modules{{{incompatible}}}
Compatible MC Versions{{{versions}}}


Gamemode 4 Module
Gm4 logo.svg
--------------------
Module Typeunknown
Created byunknown
Compatible MC Versionsunknown

This is an example Module Infobox, showing all available parameters.

Below that is the default Infobox, if no parameters are set.


The title, type, creator, and versions parameters should always be set.

"title" - name of the module

"type" - module type (Stand Alone, Base, Expansion, Reliant)

"creator" - original creator of the module

"versions" - the MC versions that the latest module version works with


The "icon" parameter should refer to the image file stored on the wiki. Icons should be named the same as the module name in snake_case (e.g. custom_crafters.png)

If the module doesn't have an image, do not fill in the "icon" parameter. It will default to the GM4 logo if unset.


The "updater" parameter is used only if the latest version of the module was modified by a specific user such that performance or mechanics were changed. This parameter should be the same as displayed on the module download page.


The "requires" parameter should be set if the module is a reliant module or expansion pack, and should link to the page of the base module.


The "complementary" parameter should be set to whatever modules are listed on the download page as a complementary module. Any listed module should be linked to their respective page.


The "incompatible" parameter should be set only if there are modules that conflict with other modules, though this case is very rare, and is more of a remnant before Gamemode 4 became heavily focused on compatibility.


Gamemode 4 Module
Gm4 logo.svg
--------------------
Module Typeunknown
Created byunknown
Compatible MC Versionsunknown